API referenceEndpointsSources
Run Source
Queue an ingestion run for one Source.
Queue an ingestion run for one Source.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
sourceId*string
Source UUID within the Account scope.
Format
uuidHeader Parameters
Idempotency-Key*string
Unique key for this mutation and request body.
Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/sources/00000000-0000-4000-8000-000000000002/run" \ -H "Idempotency-Key: operation-20260816-001" \ -H "Content-Type: application/json" \ -d '{ "accountId": "00000000-0000-4000-8000-000000000001", "trigger": "manual" }'{ "data": { "runId": "78c33d18-170c-44d3-a227-b3194f134f73", "state": "queued" }, "correlationId": "string"}